<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright The WildFly Authors
  ~ SPDX-License-Identifier: Apache-2.0
  -->
<module name="software.amazon.awssdk.s3" xmlns="urn:jboss:module:1.9">

    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <artifact name="software.amazon.awssdk:annotations:2.20.126"/>
        <artifact name="software.amazon.awssdk:apache-client:2.20.126"/>
        <artifact name="software.amazon.awssdk:arns:2.20.126"/>
        <artifact name="software.amazon.awssdk:auth:2.20.126"/>
        <artifact name="software.amazon.awssdk:aws-core:2.20.126"/>
        <artifact name="software.amazon.awssdk:aws-query-protocol:2.20.126"/>
        <artifact name="software.amazon.awssdk:aws-xml-protocol:2.20.126"/>
        <artifact name="software.amazon.awssdk:crt-core:2.20.126"/>
        <artifact name="software.amazon.awssdk:endpoints-spi:2.20.126"/>
        <artifact name="software.amazon.awssdk:http-client-spi:2.20.126"/>
        <artifact name="software.amazon.awssdk:json-utils:2.20.126"/>
        <artifact name="software.amazon.awssdk:metrics-spi:2.20.126"/>
        <artifact name="software.amazon.awssdk:profiles:2.20.126"/>
        <artifact name="software.amazon.awssdk:protocol-core:2.20.126"/>
        <artifact name="software.amazon.awssdk:regions:2.20.126"/>
        <artifact name="software.amazon.awssdk:s3:2.20.126"/>
        <artifact name="software.amazon.awssdk:sdk-core:2.20.126"/>
        <artifact name="software.amazon.awssdk:third-party-jackson-core:2.20.126"/>
        <artifact name="software.amazon.awssdk:utils:2.20.126"/>
        <artifact name="software.amazon.eventstream:eventstream:1.0.1"/>
    </resources>

    <dependencies>
        <module name="java.xml"/>

        <module name="org.apache.httpcomponents.core"/>
        <module name="org.reactivestreams"/>
        <module name="org.slf4j"/>
    </dependencies>

</module>
